Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorcletavernie2011-10-27 08:47:38 +0000
committercletavernie2011-10-27 08:47:38 +0000
commitb35022b68384d4398086646ef815e75c88c18c9e (patch)
treee0716c9d7d00b4ccddc6f0e88fdc7a3d23ba64a7 /plugins/profile-tool
parentd9c8fe1e4611c2ca845f74820a92ccdaf5126d9e (diff)
downloadorg.eclipse.papyrus-b35022b68384d4398086646ef815e75c88c18c9e.tar.gz
org.eclipse.papyrus-b35022b68384d4398086646ef815e75c88c18c9e.tar.xz
org.eclipse.papyrus-b35022b68384d4398086646ef815e75c88c18c9e.zip
359057: [Architecture - SVN - Build] The Papyrus architecture should be refactored
https://bugs.eclipse.org/bugs/show_bug.cgi?id=359057 Update the plug-in versions and dependencies over Papyrus plug-ins to 0.9.0
Diffstat (limited to 'plugins/profile-tool')
-rw-r--r--plugins/profile-tool/org.eclipse.papyrus.resource.edit/META-INF/MANIFEST.MF20
-rw-r--r--plugins/profile-tool/org.eclipse.papyrus.resource.migration/META-INF/MANIFEST.MF34
-rw-r--r--plugins/profile-tool/org.eclipse.papyrus.resource/META-INF/MANIFEST.MF23
-rw-r--r--plugins/profile-tool/org.eclipse.papyrus.sysml.converted/META-INF/MANIFEST.MF14
-rw-r--r--plugins/profile-tool/org.eclipse.papyrus.uml.standard.converted/META-INF/MANIFEST.MF13
5 files changed, 56 insertions, 48 deletions
diff --git a/plugins/profile-tool/org.eclipse.papyrus.resource.edit/META-INF/MANIFEST.MF b/plugins/profile-tool/org.eclipse.papyrus.resource.edit/META-INF/MANIFEST.MF
index e65ff99a1af..4eb8b244c4b 100644
--- a/plugins/profile-tool/org.eclipse.papyrus.resource.edit/META-INF/MANIFEST.MF
+++ b/plugins/profile-tool/org.eclipse.papyrus.resource.edit/META-INF/MANIFEST.MF
@@ -1,17 +1,19 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.resource.edit;singleton:=true
-Bundle-Version: 0.9.0.qualifier
+Export-Package: org.eclipse.papyrus.resource.provider
+Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.papyrus.resource.provider.ResourceEditPlugin$Implementation
-Bundle-Vendor: %providerName
+Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.resource.provider
Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.papyrus.resource;visibility:=reexport,
+ org.eclipse.papyrus.resource;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.emf.edit;visibility:=reexport,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.edit;visibility:=reexport
-Bundle-ActivationPolicy: lazy
+Bundle-Vendor: %providerName
+Bundle-Version: 0.9.0.qualifier
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.resource.provider.ResourceEditPl
+ ugin$Implementation
+Bundle-SymbolicName: org.eclipse.papyrus.resource.edit;singleton:=true
+
diff --git a/plugins/profile-tool/org.eclipse.papyrus.resource.migration/META-INF/MANIFEST.MF b/plugins/profile-tool/org.eclipse.papyrus.resource.migration/META-INF/MANIFEST.MF
index 11d5cd2fa32..104152a4127 100644
--- a/plugins/profile-tool/org.eclipse.papyrus.resource.migration/META-INF/MANIFEST.MF
+++ b/plugins/profile-tool/org.eclipse.papyrus.resource.migration/META-INF/MANIFEST.MF
@@ -1,16 +1,18 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-SymbolicName: org.eclipse.papyrus.resource.migration;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.resource.migration.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.core.resources,
- org.eclipse.emf.ecore,
- org.eclipse.papyrus.resource,
- org.eclipse.emf.codegen.ecore
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-Vendor: %providerName
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.core.resources,
+ org.eclipse.emf.ecore,
+ org.eclipse.papyrus.resource;bundle-version:="0.9.0",
+ org.eclipse.emf.codegen.ecore
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.resource.migration.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.resource.migration;singleton:
+ =true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/profile-tool/org.eclipse.papyrus.resource/META-INF/MANIFEST.MF b/plugins/profile-tool/org.eclipse.papyrus.resource/META-INF/MANIFEST.MF
index 8017122f1bb..0b0c4206a17 100644
--- a/plugins/profile-tool/org.eclipse.papyrus.resource/META-INF/MANIFEST.MF
+++ b/plugins/profile-tool/org.eclipse.papyrus.resource/META-INF/MANIFEST.MF
@@ -1,17 +1,18 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.resource;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
-Bundle-Vendor: %providerName
-Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.papyrus.resource,
- org.eclipse.papyrus.resource.impl,
- org.eclipse.papyrus.resource.util
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.ui.navigator,
org.eclipse.jface
+Export-Package: org.eclipse.papyrus.resource,
+ org.eclipse.papyrus.resource.impl,
+ org.eclipse.papyrus.resource.util
+Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
+Bundle-ClassPath: .
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.resource;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/profile-tool/org.eclipse.papyrus.sysml.converted/META-INF/MANIFEST.MF b/plugins/profile-tool/org.eclipse.papyrus.sysml.converted/META-INF/MANIFEST.MF
index b791b6cb0f8..3e6b541f99f 100644
--- a/plugins/profile-tool/org.eclipse.papyrus.sysml.converted/META-INF/MANIFEST.MF
+++ b/plugins/profile-tool/org.eclipse.papyrus.sysml.converted/META-INF/MANIFEST.MF
@@ -1,10 +1,12 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.sysml.converted;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-ClassPath: .
Bundle-Vendor: %providerName
-Bundle-Localization: plugin
Eclipse-LazyStart: true
+Bundle-ClassPath: .
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.converted;singleton:=tr
+ ue
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/profile-tool/org.eclipse.papyrus.uml.standard.converted/META-INF/MANIFEST.MF b/plugins/profile-tool/org.eclipse.papyrus.uml.standard.converted/META-INF/MANIFEST.MF
index 3c5f847409b..b383496dea9 100644
--- a/plugins/profile-tool/org.eclipse.papyrus.uml.standard.converted/META-INF/MANIFEST.MF
+++ b/plugins/profile-tool/org.eclipse.papyrus.uml.standard.converted/META-INF/MANIFEST.MF
@@ -1,10 +1,11 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.uml.standard;singleton:=true
-Bundle-Version: 0.7.0.qualifier
-Bundle-ClassPath: .
Bundle-Vendor: %providerName
-Bundle-Localization: plugin
Eclipse-LazyStart: true
+Bundle-ClassPath: .
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.uml.standard;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+

Back to the top